package teen

import (
	"encoding/json"
	"math/rand"
	"os"
	"server/game/room"
	"server/msg"

	"github.com/name5566/leaf/log"
)

type RobotNames struct {
	Names []string `json:"name"`
}

// 随即印度人名字
func randomIndianName() string {
	data, err := os.ReadFile("/home/zjh/teen_patti/bin/gamedata/robot_name.json")
	if err != nil {
		log.Fatal("%v", err)
	}
	var Names RobotNames
	err = json.Unmarshal(data, &Names)
	if err != nil {
		log.Fatal("%v", err)
	}
	return Names.Names[rand.Intn(len(Names.Names))]
}

type RobotHeadImages struct {
	HeadImages []string `json:"head_image"`
}

// 随即印度人头像
func randomIndianHeadImage() string {
	data, err := os.ReadFile("/home/zjh/teen_patti/bin/gamedata/robot_head_image.json")
	if err != nil {
		log.Fatal("%v", err)
	}

	var images RobotHeadImages
	err = json.Unmarshal(data, &images)
	if err != nil {
		log.Fatal("%v", err)
	}
	return images.HeadImages[rand.Intn(len(images.HeadImages))]
}

// 人机操作
func robotOpt(r *room.Room, sitPos int, optType msg.PlayerOptType) {

}
