package teen

import (
	"math/rand"
	"server/game/room"
)

// 随机选一个一个玩家当庄家
func randomDealer(room *room.Room) {
	room.SetDealerPlayer(room.Players[rand.Intn(len(room.Players))])
}

// 一共4个座位，指定需要的座位数量，且不重复的随即返回
func randomSitPos(room *room.Room, num int) []int {
	sitPos := make([]int, 0)
	for i := 0; i < num; i++ {
		sitPos = append(sitPos, rand.Intn(4))
	}
	return sitPos
}
